package domain

import (
	"net/url"
	"time"

	"golang.org/x/text/language"
)

type Site struct {
	Language  language.Tag
	BaseURL   *url.URL
	Params    map[string]any
	TimeZone  *time.Location
	File      File
	Title     string
	Resources Resources
}
