package page

import (
	"context"

	"golang.org/x/text/language"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type Repository interface {
	Get(ctx context.Context, lang language.Tag, path string) (*domain.Page, error)
}
