package site

import (
	"context"

	"golang.org/x/text/language"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type UseCase interface {
	Do(ctx context.Context, lang language.Tag) (*domain.Site, error)
}
